## org.w3c.tools.resources.indexer
Class IndexersCatalog

    java.lang.Object
      |
      +--org.w3c.tools.resources.AttributeHolder
            |
            +--org.w3c.tools.resources.Resource
                  |
                  +--org.w3c.tools.resources.FramedResource
                        |
                        +--org.w3c.tools.resources.AbstractContainer
                              |
                              +--org.w3c.tools.resources.ContainerResource
                                    |
                                    +--org.w3c.tools.resources.ExternalContainer
                                          |
                                          +--org.w3c.tools.resources.indexer.IndexersCatalog

public class IndexersCatalog
extends org.w3c.tools.resources.ExternalContainer

Fields inherited from class org.w3c.tools.resources.ExternalContainer
`repository, transientFlag`

Fields inherited from class org.w3c.tools.resources.ContainerResource
`acquired, ATTR_KEY`

Fields inherited from class org.w3c.tools.resources.FramedResource
`ATTR_OID, attrListener, debugEvent, event_disabled, framesRef, structListener`

Fields inherited from class org.w3c.tools.resources.Resource
`ATTR_CONTEXT, ATTR_HELP_URL, ATTR_IDENTIFIER, ATTR_LAST_MODIFIED, ATTR_PARENT, ATTR_RESOURCE_FRAMES, ATTR_STORE_ENTRY, ATTR_URL`

Fields inherited from class org.w3c.tools.resources.AttributeHolder
`attributes, slowpickle, values`

Constructor Summary
`IndexersCatalog(org.w3c.tools.resources.ResourceContext context)`

Method Summary
`java.io.File` | `getRepository(org.w3c.tools.resources.ResourceContext context)`

Methods inherited from class org.w3c.tools.resources.ExternalContainer
`acquireChildren, createDefaultResource, delete, initialize, markModified`

Methods inherited from class org.w3c.tools.resources.ContainerResource
`addResource, delete, deleteChildren, enumerateResourceIdentifiers, getChildrenSpaceEntry, getClone, getKey, getMatchingCharsCount, getSpaceEntry, internalLookup, lookup, lookup, notifyUnload, registerResource, replace, resourceCreated, resourceModified, resourceRemoved, updateDefaultChildAttributes`

Methods inherited from class org.w3c.tools.resources.AbstractContainer
`attributeChanged, enumerateResourceIdentifiers, resourceUnloaded`

Methods inherited from class org.w3c.tools.resources.FramedResource

`addAttributeChangedListener, addStructureChangedListener, collectFramesReference, disableEvent, displayEvent, enableEvent, eventDisabled, fireAttributeChangeEvent, fireStructureChangedEvent, fireStructureChangedEvent, frameAdded, frameModified, frameRemoved, getFrame, getFrame, getFrameReference, getFrameReference, getFramesReference, getOid, perform, performFrames, postAttributeChangeEvent, postEvent, postStructureChangedEvent, postStructureChangedEvent, processEvent, registerFrame, registerFrameIfNone, removeAttributeChangedListener, removeStructureChangedListener, setValue, unregisterFrame`

Methods inherited from class org.w3c.tools.resources.Resource
`acceptUnload, checkMultipleLock, collectFrames, getContext, getFrame, getFrames, getHelpURL, getHelpURL, getIdentifier, getLastModified, getParent, getResourceReference, getServer, getSpace, getStoreEntry, getURLPath, getValue, getValue, isInitialized, setContext, setContext, setValue, updateAttributes`

Methods inherited from class org.w3c.tools.resources.AttributeHolder
`definesAttribute, definesAttribute, getAttributes, getBoolean, getChar, getClone, getClone, getDouble, getFloat, getInt, getLong, getString, getValue, initialize, lookupAttribute, pickle, print, setBoolean, setChar, setDouble, setFloat, setInt, setLong, setString, setValue, unpickle, unpickle, unpickle, unpickleInstance, unpickleInstance`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### IndexersCatalog

    public IndexersCatalog(org.w3c.tools.resources.ResourceContext context)

Method Detail

### getRepository

    public java.io.File getRepository(org.w3c.tools.resources.ResourceContext context)

  Overrides:
    getRepository in class org.w3c.tools.resources.ExternalContainer